﻿@model UserView
@{
    ViewBag.Title = "_Users";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

@Styles.Render("~/Content/CheckboxTree")

<script type="text/javascript">
    var formMode = '@ViewBag.FormMode';
</script>

<h1 class="page-header">@ViewBag.Tite</h1>
@using (Html.BeginForm("ConfirmAction", "Users", FormMethod.Post, new { @class = "form-horizontal row-border", id = "formUsers" }))
{

    <div class="col-md-6">
        <div class="row">
            <div class="panel panel-default">
                <div class="panel-heading clearfix">
                    <h3 class="panel-title">@Users.USRS</h3>
                </div>
                <div class="panel-body">

                    <label class="col-md-2 control-label" id="REQ" style="display:none">@Users.REQ</label>
                    <div class="form-group">
                        <label class="col-md-2 control-label" id="lblName">@Users.Name</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(c => c.Name, new { @placeholder = @Users.Name, @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-2 control-label" id="lblPassword">@Users.Password</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(c => c.Password, new { @type = "password", @placeholder = @Users.Password, @class = "form-control" })
                        </div>
                    </div>

                    @Html.HiddenFor(c => c.IdUser)

                </div>
            </div>
        </div>

        <div class="row">
            <div class="panel panel-default">
                <div class="panel-heading clearfix">
                    <h3 class="panel-title">@Users.Settings</h3>
                </div>
                <div class="panel-body">

                    <div class="form-group">
                        <label class="col-md-2 control-label">Roles</label>
                        <div class="col-md-9">
                            @Html.DropDownListFor(model => model.IdRol, new SelectList(Model.ListRoles, "Value", "Text"), new { @Id = "Roles", @class = "form-control" })
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <div class="col-md-6">
        <div class="panel panel-default">
            <div class="panel-heading clearfix">
                <h3 class="panel-title">@Users.Permissions</h3>
            </div>
            <div class="panel-body">

                <div class="section_user" style="margin-bottom:20px;">

                    <ol id='checkboxes'>
                        <li class=''>
                            <input type='checkbox' /> @Users.All
                            <ol>
                                @foreach (AreaKeyView item in Model.ListArea)
                                {
                                    <li>
                                        <input id='@item.IdAreaKeys' type='checkbox' @(Model.AccessUser.Where(c => c == (item.IdAreaKeys.ToString())).Count() > 0 ? "checked" : "") name='@item.IdAreaKeys' /> @item.Area
                                        <ol>
                                            @foreach (PageView itempage in @item.Pages)
                                            {
                                                <li>
                                                    <input id='@(item.IdAreaKeys.ToString() + '-' + itempage.IdPage.ToString())' type='checkbox' @(Model.AccessUser.Where(c => c == (item.IdAreaKeys.ToString() + '-' + itempage.IdPage.ToString())).Count() > 0 ? "checked" : "") name='@(item.IdAreaKeys.ToString() + '-' + itempage.IdPage.ToString())' /> @itempage.Description
                                                    <ol>
                                                        @foreach (ActionsView itemaction in itempage.Actions)
                                                        {
                                                            <li><input id='@(item.IdAreaKeys.ToString() + '-' + itempage.IdPage.ToString() + '-' + itemaction.IdAction.ToString() )' type='checkbox' @(Model.AccessUser.Where(c => c == (item.IdAreaKeys.ToString() + '-' + itempage.IdPage.ToString() + '-' + itemaction.IdAction.ToString())).Count() > 0 ? "checked" : "") name='@(item.IdAreaKeys.ToString() + '-' + itempage.IdPage.ToString() + '-' + itemaction.IdAction.ToString() )' /> @itemaction.Description</li>
                                                        }

                                                    </ol>
                                                </li>
                                            }
                                        </ol>
                                    </li>
                                }
                            </ol>
                        </li>
                    </ol>
                </div>

                <div class="but_blok_footer">
                    <div class="col-md-12">
                        <button type="submit" class="btn btn-lg btn-success pull-right margin-left">Ok</button>
                        @Html.ActionLink(@Users.Cancel, "Index", "Users", null, new { @class = "btn btn-lg btn-default pull-right margin-left" })
                    </div>

                </div>
            </div>
        </div>
    </div>
}


@Html.Partial("_MessagePartial", @Users.AYSTYWTRTR)

@Scripts.Render("~/bundles/CheckboxTree")
@Scripts.Render("~/bundles/Users")

